[libav-bugs] [Bug 711] New: configure: enable mpegaudio parser, if an MPEG audio decoder (depending on it) is enabled

bugzilla at libav.org bugzilla at libav.org
Sun Jun 29 20:09:03 CEST 2014


http://bugzilla.libav.org/show_bug.cgi?id=711

           Summary: configure: enable mpegaudio parser, if an MPEG audio
                    decoder (depending on it) is enabled
           Product: Libav
           Version: git HEAD
          Platform: All
        OS/Version: All
            Status: NEW
          Severity: trivial
          Priority: Normal
         Component: libavcodec
        AssignedTo: bugzilla at libav.org
        ReportedBy: basic.master at gmx.de


Hello,

when I disable everything by configure parameter "--disable-everything" and
afterwards enable the desired components one-by-one, the following happens:

If I enable e.g. the AC-3 decoder via "--enable-decoder=ac3", the needed parser
"ac3" is enabled by configure. In the current GIT version, this is done in line
1720:
ac3_decoder_select="ac3_parser ac3dsp bswapdsp mdct"

If I enable e.g. the MPEG-1 Layer 2 decoder via "--enabled-decoder=mp2", the
matching parser "mpegaudio" is NOT enabled by configure, though it is necessary
for decoding. IMHO this parser should be enabled here by configure, if I enable
a decoder depending on it.


I only use the Layer 2 decoder and don't know if/which other MPEG audio
decoders depend on the parser, therefore I did not write a patch but opened a
bug.

Regards Stefan

-- 
Configure bugmail: http://bugzilla.libav.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.


More information about the libav-bugs mailing list